# Method: tokens.list

- [HTTP request](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.request_body)
- [Response body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.ListTokensResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/list#body.aspect)

List valid Chrome Device Tokens owned by a user.

### HTTP request

`GET https://chromedevicetoken.googleapis.com/v1/tokens`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server may return fewer records than requested. If unspecified, server will return 20 by default. |
| `pageToken` | `string` A token identifying a page of results the server should return. |
| `tokenType` | ``enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#TokenType`)`` Token type to list |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for listing valid tokens owned by a user.

| JSON representation ||
|---|---|
| ``` { "token": [ { object (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `token[]` | ``object (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`)`` List of tokens. |
| `nextPageToken` | `string` A token to retrieve next page of results. It is set to empty if no tokens remain in results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chromeosdevicetoken`